<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry version="5.0-subset Scilab" xml:id="INTEGRAL_f"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>INTEGRAL_f</refname>

    <refpurpose>Integration</refpurpose>
  </refnamediv>

  <refsection>
    <title>Block Screenshot</title>

    <para><inlinemediaobject>
        <imageobject>
          <imagedata align="center"
                     fileref="../../../../images/palettes/INTEGRAL_f.jpg"
                     valign="middle"></imagedata>
        </imageobject>
      </inlinemediaobject></para>
  </refsection>

  <refsection id="Contents_INTEGRAL_f">
    <title>Contents</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="INTEGRAL_f">Integration</link>
        </para>
      </listitem>

      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_INTEGRAL_f">Palette</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Description_INTEGRAL_f">Description</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Dialogbox_INTEGRAL_f">Dialog box</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Defaultproperties_INTEGRAL_f">Default
              properties</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Interfacingfunction_INTEGRAL_f">Interfacing
              function</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Computationalfunction_INTEGRAL_f">Computational
              function</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Palette_INTEGRAL_f">
    <title>Palette</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Continuous_pal">Continuous time systems palette</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Description_INTEGRAL_f">
    <title>Description</title>

    <para>This block is an integrator. The output is the integral of the
    input.</para>
  </refsection>

  <refsection id="Dialogbox_INTEGRAL_f">
    <title>Dialog box</title>

    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata align="center"
                     fileref="../../../../images/gui/INTEGRAL_f_gui.gif"
                     valign="middle" />
        </imageobject>
      </inlinemediaobject>
    </para>

    <para />

    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Initial Condition</emphasis>
        </para>

        <para>A scalar that gives the initial condition.</para>

        <para>Properties : Type 'vec' of size 1.</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Defaultproperties_INTEGRAL_f">
    <title>Default properties</title>

    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">always active:</emphasis> yes</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">zero-crossing:</emphasis> no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">mode:</emphasis> no</para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">regular inputs:</emphasis>
        </para>

        <para>
          <emphasis role="bold">- port 1 : size [1,1] / type 1</emphasis>
        </para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">regular outputs:</emphasis>
        </para>

        <para>
          <emphasis role="bold">- port 1 : size [1,1] / type 1</emphasis>
        </para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">number/sizes of activation
        inputs:</emphasis> 0</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">number/sizes of activation
        outputs:</emphasis> 0</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">continuous-time state:</emphasis>
        yes</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">discrete-time state:</emphasis> no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">object discrete-time state:</emphasis>
        no</para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">name of computational function:</emphasis>

          <emphasis role="italic">integr</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Interfacingfunction_INTEGRAL_f">
    <title>Interfacing function</title>

    <itemizedlist>
      <listitem>
        <para>SCI/modules/scicos_blocks/macros/Linear/INTEGRAL_f.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Computationalfunction_INTEGRAL_f">
    <title>Computational function</title>

    <itemizedlist>
      <listitem>
        <para>SCI/modules/scicos_blocks/src/fortran/integr.f (Type 0)</para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
